<?php
echo "<div class='event'><title>Модерация фото</title></div>";
echo '<div class="content"><div class="block">';
$k_post = mysql_result(mysql_query("SELECT COUNT(*) FROM `kolhoz_user` WHERE `ava_file` > '0' AND `ava_mod` = '0'"),0);
if ($k_post==0)
{
echo "Список фото для модерации пуст...";
}
$k_page=k_page($k_post,$set['p_str']);
$page=page($k_page);
$start=$set['p_str']*$page-$set['p_str'];
$q=mysql_query("SELECT * FROM `kolhoz_user` WHERE `ava_file` > '0' AND `ava_mod` = '0' ORDER BY `id` DESC LIMIT $start, $set[p_str]");
echo "<ul><form method='post'>";
if($k_post>0)
{
echo "Отметить всё:<br>";
echo "<input type='submit' name='yesall' value='Одобрить'> ";
echo "<input type='submit' name='noall' value='Удалить'><br>";
}
while($post=mysql_fetch_array($q))
{
if(isset($_POST['submit']))
{
if($_POST['yes']==1)
{
mysql_query("INSERT INTO `kolhoz_mail` SET `id_user` = '$post[id]', `id_kont` = '0', `msg` = 'Ваше фото прошло модерацию!', `time` = '$time', `type` = 'to'");
mysql_query("UPDATE `kolhoz_user` SET `ava_mod` = '1' WHERE `id` = '$post[id]'");
}
elseif($_POST['no']==1)
{
mysql_query("UPDATE `kolhoz_user` SET `ava_file` = '0' WHERE `id` = '$post[id]'");
mysql_query("INSERT INTO `kolhoz_mail` SET `id_user` = '$post[id]', `id_kont` = '0', `msg` = 'Ваше фото не прошло модерацию и было удалено! Возможно были нарушены [url=/forum-4258]Правила Установки Фото[/url] или [url=/sogl]Соглашение[/url]', `time` = '$time', `type` = 'to'");
unlink("images/avatars/$post[id].png");
}
}
echo "<li class='pb'>";
echo "Фотография:<br>";
if (is_file("images/avatars/$post[id].gif"))echo "<img src='images/avatars/$post[id].gif' alt='' />\n";
elseif (is_file("images/avatars/$post[id].jpg"))echo "<img src='images/avatars/$post[id].jpg' alt='' />\n";
elseif (is_file("images/avatars/$post[id].png"))echo "<img src='images/avatars/$post[id].png' alt='' />\n";
echo "Игрок: ";
echo on_k($post['id']);
echo " <a href='?user=$post[id]'>".nc($post['id'])."</a><br>";
echo "<input type='checkbox' name='yes' value='1'".(isset($_POST['yesall'])?" checked":null)."> Подтвердить<br>";
echo "<input type='checkbox' name='no' value='1'".(isset($_POST['noall'])?" checked":null)."> Удалить<br>";
echo "</li>";
}
if($k_post>0)
{
if(isset($_POST['submit']))
{
$_SESSION['msg']='Все фото промодерированны';
header("Location:?admin=photo&");
}
echo "<input type='submit' name='submit' value='Модерировать'><br>";
echo "</form>";
}
if ($k_page>1)str("?mod_photo&",$k_page,$page); // Вывод страниц
echo "</ul></div>";
include_once 'inc/foot.php';
?>